{% extends 'base.html' %}

{% block head %}
	<title>Home</title>
{% endblock %}

{% block body %}
  <div class="form-left-decoration"></div>
  <div class="form-right-decoration"></div>
  <div class="circle"></div>
  <div class="form-inner feedback container">
    <div class="col-md-6">
      <form action="/feedback" method="POST" class="feedback-form">
          <h2 class="feedback_header">Give your feedback</h2>
          <span class="error">{{msg}}</span>
          <input required class="form-control form-control-lg" type="text" placeholder="Username" name="username">
          <input required class="form-control" type="password" placeholder="PIN" name="pin" maxlength="5">
          <input required class="form-control" type="number" placeholder="Rating" name="rating" max="5" >
          <textarea required name="comment" placeholder="Comment..." rows="5"></textarea>
          <button type="submit" class="btn btn-primary">Add Comment</button>
      </form>
    </div>
    <div class="col-md-6">
      <table id="customers" class="feedback-list">
        {% for feedback in feedbacks %}
          <tr>
            <td>
              <strong>{{feedback.comment}}</strong><br/>
              <span class="feedback_span">by, {{feedback.user|get_user}}</span><br>
              <span class="feedback_span">from, {{feedback.date_created|date}}   

              <div class="rating">
                <strong>Rating:</strong> {{feedback.rating}} out of 5 / 
                {% if feedback.rating < 6 %}
                  {% for rating in range(0,feedback.rating) %}
                    <span class="fa fa-star checked"></span>
                  {% endfor %}
                {% endif %}
              </div>

            </td>
          </tr>
        {% endfor %}
      </table>
    </div>
</div>

{% endblock %}

